summaryrefslogtreecommitdiff
path: root/utils/lib_sxng_data.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/lib_sxng_data.sh')
-rwxr-xr-xutils/lib_sxng_data.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/utils/lib_sxng_data.sh b/utils/lib_sxng_data.sh
index 549e6dbec..50a932f6d 100755
--- a/utils/lib_sxng_data.sh
+++ b/utils/lib_sxng_data.sh
@@ -7,6 +7,7 @@ data.:
all : update searx/sxng_locales.py and searx/data/*
traits : update searx/data/engine_traits.json & searx/sxng_locales.py
useragents: update searx/data/useragents.json with the most recent versions of Firefox
+ locales : update searx/data/locales.json from babel
EOF
}
@@ -16,6 +17,7 @@ data.all() {
pyenv.activate
data.traits
data.useragents
+ data.locales
build_msg DATA "update searx/data/osm_keys_tags.json"
pyenv.cmd python searxng_extra/update/update_osm_keys_tags.py
@@ -49,6 +51,15 @@ data.useragents() {
dump_return $?
}
+data.locales() {
+ ( set -e
+ pyenv.activate
+ build_msg DATA "update searx/data/locales.json"
+ python searxng_extra/update/update_locales.py
+ )
+ dump_return $?
+}
+
docs.prebuild() {
build_msg DOCS "build ${DOCS_BUILD}/includes"
(